Can not download Infinite Flight Global

I have an iPad 4th generation and I am trying to get the new I.F. Global and when I try to update it is giving me this note: (" Download an older version of this app? The current version requires iOS 10.3.3 or later, but can download the last compatible version") I have the iOS 10.3.3 What’s going on? Please help! Thanks!

This is an incorrect error Apple is giving you, it is supposed to say that you do not meet the Minimum device requirements

2 Likes